javax.json

## Class Json

- java.lang.Object
- - javax.json.Json

-     public class Json
      extends Object

  Factory class for creating JSON processing objects. This class provides the most commonly used methods for creating these objects and their corresponding factories. The factory classes provide all the various ways to create these objects.

  The methods in this class locate a provider instance using the method `JsonProvider.provider()`. This class uses the provider instance to create JSON processing objects.

  The following example shows how to create a JSON parser to parse an empty array:

       StringReader reader = new StringReader("[]");
       JsonParser parser = Json.createParser(reader);

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonArrayBuilder` | `createArrayBuilder()` Creates a JSON array builder
    `static JsonBuilderFactory` | `createBuilderFactory(Map<String,?> config)` Creates a builder factory for creating `JsonArrayBuilder` and `JsonObjectBuilder` objects.
    `static JsonGenerator` | `createGenerator(OutputStream out)` Creates a JSON generator for writing JSON to a byte stream.
    `static JsonGenerator` | `createGenerator(Writer writer)` Creates a JSON generator for writing JSON to a character stream.
    `static JsonGeneratorFactory` | `createGeneratorFactory(Map<String,?> config)` Creates a generator factory for creating `JsonGenerator` objects.
    `static JsonObjectBuilder` | `createObjectBuilder()` Creates a JSON object builder
    `static JsonParser` | `createParser(InputStream in)` Creates a JSON parser from a byte stream.
    `static JsonParser` | `createParser(Reader reader)` Creates a JSON parser from a character stream.
    `static JsonParserFactory` | `createParserFactory(Map<String,?> config)` Creates a parser factory for creating `JsonParser` objects.
    `static JsonReader` | `createReader(InputStream in)` Creates a JSON reader from a byte stream.
    `static JsonReader` | `createReader(Reader reader)` Creates a JSON reader from a character stream.
    `static JsonReaderFactory` | `createReaderFactory(Map<String,?> config)` Creates a reader factory for creating `JsonReader` objects.
    `static JsonWriter` | `createWriter(OutputStream out)` Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream.
    `static JsonWriter` | `createWriter(Writer writer)` Creates a JSON writer to write a JSON `object` or `array` structure to the specified character stream.
    `static JsonWriterFactory` | `createWriterFactory(Map<String,?> config)` Creates a writer factory for creating `JsonWriter` objects.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createParser

          public static JsonParser createParser(Reader reader)

      Creates a JSON parser from a character stream.
      Parameters:
        `reader` - i/o reader from which JSON is to be read
      Returns:
        a JSON parser

    - #### createParser

          public static JsonParser createParser(InputStream in)

      Creates a JSON parser from a byte stream. The character encoding of the stream is determined as specified in RFC 4627.
      Parameters:
        `in` - i/o stream from which JSON is to be read
      Returns:
        a JSON parser
      Throws:
        `JsonException` - if encoding cannot be determined or i/o error (IOException would be cause of JsonException)

    - #### createGenerator

          public static JsonGenerator createGenerator(Writer writer)

      Creates a JSON generator for writing JSON to a character stream.
      Parameters:
        `writer` - a i/o writer to which JSON is written
      Returns:
        a JSON generator

    - #### createGenerator

          public static JsonGenerator createGenerator(OutputStream out)

      Creates a JSON generator for writing JSON to a byte stream.
      Parameters:
        `out` - i/o stream to which JSON is written
      Returns:
        a JSON generator

    - #### createParserFactory

          public static JsonParserFactory createParserFactory(Map<String,?> config)

      Creates a parser factory for creating `JsonParser` objects. The factory is configured with the specified map of provider specific configuration properties. Provider implementations should ignore any unsupported configuration properties specified in the map.
      Parameters:
        `config` - a map of provider specific properties to configure the JSON parsers. The map may be empty or null
      Returns:
        JSON parser factory

    - #### createGeneratorFactory

          public static JsonGeneratorFactory createGeneratorFactory(Map<String,?> config)

      Creates a generator factory for creating `JsonGenerator` objects. The factory is configured with the specified map of provider specific configuration properties. Provider implementations should ignore any unsupported configuration properties specified in the map.
      Parameters:
        `config` - a map of provider specific properties to configure the JSON generators. The map may be empty or null
      Returns:
        JSON generator factory

    - #### createWriter

          public static JsonWriter createWriter(Writer writer)

      Creates a JSON writer to write a JSON `object` or `array` structure to the specified character stream.
      Parameters:
        `writer` - to which JSON object or array is written
      Returns:
        a JSON writer

    - #### createWriter

          public static JsonWriter createWriter(OutputStream out)

      Creates a JSON writer to write a JSON `object` or `array` structure to the specified byte stream. Characters written to the stream are encoded into bytes using UTF-8 encoding.
      Parameters:
        `out` - to which JSON object or array is written
      Returns:
        a JSON writer

    - #### createReader

          public static JsonReader createReader(Reader reader)

      Creates a JSON reader from a character stream.
      Parameters:
        `reader` - a reader from which JSON is to be read
      Returns:
        a JSON reader

    - #### createReader

          public static JsonReader createReader(InputStream in)

      Creates a JSON reader from a byte stream. The character encoding of the stream is determined as described in RFC 4627.
      Parameters:
        `in` - a byte stream from which JSON is to be read
      Returns:
        a JSON reader

    - #### createReaderFactory

          public static JsonReaderFactory createReaderFactory(Map<String,?> config)

      Creates a reader factory for creating `JsonReader` objects. The factory is configured with the specified map of provider specific configuration properties. Provider implementations should ignore any unsupported configuration properties specified in the map.
      Parameters:
        `config` - a map of provider specific properties to configure the JSON readers. The map may be empty or null
      Returns:
        a JSON reader factory

    - #### createWriterFactory

          public static JsonWriterFactory createWriterFactory(Map<String,?> config)

      Creates a writer factory for creating `JsonWriter` objects. The factory is configured with the specified map of provider specific configuration properties. Provider implementations should ignore any unsupported configuration properties specified in the map.
      Parameters:
        `config` - a map of provider specific properties to configure the JSON writers. The map may be empty or null
      Returns:
        a JSON writer factory

    - #### createArrayBuilder

          public static JsonArrayBuilder createArrayBuilder()

      Creates a JSON array builder
      Returns:
        a JSON array builder

    - #### createObjectBuilder

          public static JsonObjectBuilder createObjectBuilder()

      Creates a JSON object builder
      Returns:
        a JSON object builder

    - #### createBuilderFactory

          public static JsonBuilderFactory createBuilderFactory(Map<String,?> config)

      Creates a builder factory for creating `JsonArrayBuilder` and `JsonObjectBuilder` objects. The factory is configured with the specified map of provider specific configuration properties. Provider implementations should ignore any unsupported configuration properties specified in the map.
      Parameters:
        `config` - a map of provider specific properties to configure the JSON builders. The map may be empty or null
      Returns:
        a JSON builder factory

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.